- Ongoing process to change name to JunkbusterNG
[privoxy.git] / junkbusterng.init
diff --git a/junkbusterng.init b/junkbusterng.init
new file mode 100644 (file)
index 0000000..28ace8b
--- /dev/null
@@ -0,0 +1,190 @@
+#!/bin/sh
+#  ********************************************************************
+# 
+#  File        :  $Source: /cvsroot/ijbswa/current/junkbuster.init,v $
+# 
+#  Purpose     :  This shell script takes care of starting and stopping
+#                 junkbuster.
+# 
+#  Copyright   :  Written by and Copyright (C) 2001 the SourceForge
+#                 IJBSWA team.  http://ijbswa.sourceforge.net
+# 
+#                 Based on the Internet Junkbuster originally written
+#                 by and Copyright (C) 1997 Anonymous Coders and
+#                 Junkbusters Corporation.  http://www.junkbusters.com
+# 
+#                 This program is free software; you can redistribute it
+#                 and/or modify it under the terms of the GNU General
+#                 Public License as published by the Free Software
+#                 Foundation; either version 2 of the License, or (at
+#                 your option) any later version.
+# 
+#                 This program is distributed in the hope that it will
+#                 be useful, but WITHOUT ANY WARRANTY; without even the
+#                 implied warranty of MERCHANTABILITY or FITNESS FOR A
+#                 PARTICULAR PURPOSE.  See the GNU General Public
+#                 License for more details.
+# 
+#                 The GNU General Public License should be included with
+#                 this file.  If not, you can view it at
+#                 http://www.gnu.org/copyleft/gpl.html
+#                 or write to the Free Software Foundation, Inc., 59
+#                 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+# 
+#  Revisions   :
+#     $Log: junkbuster.init,v $
+#     Revision 1.15  2002/03/09 15:05:58  swa
+#     wrong user.group
+#
+#     Revision 1.14  2002/03/06 06:13:40  hal9
+#     Adapted for Andreas' changes for --user and --pidfile.
+#
+#     Revision 1.13  2002/03/05 05:10:10  oes
+#     Changed pidfile path to conform with FHS
+#
+#     Revision 1.12  2002/03/04 20:44:36  oes
+#     Changed to new cmdline syntax
+#
+#     Revision 1.11  2001/12/30 14:07:32  steudten
+#     - Add signal handling (unix)
+#     - Add SIGHUP handler (unix)
+#     - Add creation of pidfile (unix)
+#     - Add action 'top' in rc file (RH)
+#     - Add entry 'SIGNALS' to manpage
+#     - Add exit message to logfile (unix)
+#
+#     Revision 1.10  2001/11/05 21:30:23  steudten
+#     Make JB startup without & due to be a 'real' daemon right now.
+#     Make the script easy to change.
+#
+#     Revision 1.9  2001/09/15 01:53:12  steudten
+#
+#     Remove test for subsys flag in start. Some minor changes.
+#
+#     Revision 1.8  2001/06/28 13:50:36  sarantis
+#     swap ?$ with $?; remove bogus ";;"
+#
+#     Revision 1.7  2001/06/28 13:40:26  sarantis
+#     remove single quotes from $JB; it was not expanded.
+#
+#     Revision 1.6  2001/06/28 13:38:42  sarantis
+#     formatting changes; individual return values are returned from the init script.
+#
+#     Revision 1.5  2001/06/11 11:37:40  sarantis
+#     Minor editing changes.
+#
+#     Revision 1.4  2001/06/09 09:14:11  swa
+#     shamelessly adapted RPM stuff from the newest rpm that
+#     RedHat provided for the JB.
+#
+#     Revision 1.3  2001/05/25 10:12:44  oes
+#     Fixed default case in switch statement (# -> *)
+#
+#     Revision 1.2  2001/05/24 07:52:24  swa
+#     added header. removed ^M.
+#
+# 
+# ********************************************************************/
+
+# This is file /etc/rc.d/init.d/junkbuster and was put here 
+# by the junkbuster rpm
+#
+# chkconfig: 235 84 09
+#
+# description: This shell script takes care of starting and stopping \
+#              junkbuster.
+#
+
+
+# Source function library.
+. /etc/rc.d/init.d/functions
+
+. /etc/sysconfig/network
+
+#  Check that networking is up.
+[ ${NETWORKING} = "no" ] && exit 0
+
+JB_OPRG="junkbuster"
+JB_PRG="jbng"
+JB_BIN="/usr/sbin/$JB_PRG"
+JB_CONF="/etc/$JB_OPRG/config"
+JB_USER="junkbuster"
+JB_PID=/var/run/$JB_PRG.pid
+JB_LOCK=/var/lock/subsys/$JB_PRG
+JB="$JB_BIN --user $JB_USER.$JB_USER --pidfile $JB_PID $JB_CONF"
+
+# some checks for us
+! [ -x $JB_BIN  ] && echo "Can't find $JB_BIN, exit." && exit 0
+! [ -f $JB_CONF ] && echo "Can't find $JB_CONF, exit." && exit 0
+
+# See how we were called.
+
+start () {
+       # start daemon
+       echo -n $"Starting $JB_PRG: "
+     if [ -f $JB_PID ]; then 
+        killproc $JB_PRG && rm -f $JB_LOCK $JB_PID
+        RETVAL=$?
+        [ $RETVAL != 0 ] && return $RETVAL
+     fi
+       daemon $JB 
+       RETVAL=$?
+       echo
+       [ $RETVAL = 0 ] && touch $JB_LOCK
+       return $RETVAL
+}
+
+stop () {
+       # stop daemon
+       echo -n $"Stopping $JB_PRG: "
+       killproc $JB_PRG && rm -f $JB_LOCK $JB_PID
+       RETVAL=$?
+       echo
+       return $RETVAL
+}
+
+case "$1" in
+  start)
+       start   
+       ;;
+  stop)
+       stop
+       ;;
+  reload)
+       if [ -f $JB_PID ] ; then
+        kill -HUP `cat $JB_PID`
+        RETVAL=$?
+     fi
+       ;;
+  restart)
+       stop
+       start
+       RETVAL=$?
+       ;;
+  condrestart)
+       # restart only if already running
+       if [ -f $JB_PID ] ; then
+        stop
+        start
+        RETVAL=$?
+       fi 
+       ;;
+  status)
+       status $JB_PRG 
+       RETVAL=$?
+       ;;
+  top)
+     if [ -f $JB_PID ]; then
+                a=""
+                for i in `pidof $JB_PRG` ; do
+                        a="$a -p $i"
+                done
+                top $a
+     fi
+       ;;
+  *)
+       echo $"Usage: $JB_PRG {start|stop|reload|restart|condrestart|status|top}"
+       exit 1
+esac
+
+exit $RETVAL